=== debian/changelog ===
kosmindoormap (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:47 +0000

kosmindoormap (25.08.2-0ubuntu2) resolute; urgency=medium

  * Now change rebuild for librecast1debian0.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Nov 2025 21:02:29 +0000
