## kosmindoormap 25.08.3+p24.04+vunstable+git20251202.0950

=== debian/changelog ===
kosmindoormap (25.08.3+p24.04+vunstable+git20251202.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:50:43 +0000

kosmindoormap (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:08 +1000
