## kosmindoormap 25.08.3+p24.04+vunstable+git20251206.0457

=== debian/changelog ===
kosmindoormap (25.08.3+p24.04+vunstable+git20251206.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 04:57:53 +0000
