## kosmindoormap 25.12.0+p24.04+vstable+git20260103.0306

=== debian/changelog ===
kosmindoormap (25.12.0+p24.04+vstable+git20260103.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:06:35 +0000

kosmindoormap (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:56 +1000
