## kosmindoormap 25.12.0+p24.04+vstable+git20260104.0110

=== debian/changelog ===
kosmindoormap (25.12.0+p24.04+vstable+git20260104.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:10:53 +0000
