## kosmindoormap 25.12.0+p24.04+vunstable+git20260104.0300

=== debian/changelog ===
kosmindoormap (25.12.0+p24.04+vunstable+git20260104.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:00:04 +0000
