=== debian/changelog ===
kosmindoormap (25.12.1-2ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 17:27:03 +0000

kosmindoormap (25.12.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild against kopeninghours 25.12.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 23:07:46 +0100

kosmindoormap (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:24:34 +0000

kosmindoormap (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Review copyright information.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 22:38:23 +0100

kosmindoormap (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:35 +0000
