=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               bison,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0~),
                flex,
                kirigami-addons-dev (>= 1.6.0~),
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.12.0~),
-               libkpublictransport-dev (>= 25.12.0~),
+               libkopeninghours-dev (>= 25.12.1~),
+               libkpublictransport-dev (>= 25.12.1~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,
@@ -37,8 +37,7 @@
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 
 Package: kosmindoormap-demo
 Section: utils
@@ -71,7 +70,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -86,7 +86,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation
  Open Street Map indoor map navigation of for example a (large) train station.
  .
@@ -101,7 +102,8 @@
 Provides: ${ABI:VirtualPackage},
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for OSM data with Qt
  Use OSM data with Qt data types to use it easily in your Qt applications.
  .
