## kosmindoormap 25.12.1+p24.04+vstable+git20260122.0854

=== debian/changelog ===
kosmindoormap (25.12.1+p24.04+vstable+git20260122.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:54:23 +0000

kosmindoormap (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:24 +1000
