## kosmindoormap 25.12.1+p24.04+vstable+git20260130.1039

=== debian/changelog ===
kosmindoormap (25.12.1+p24.04+vstable+git20260130.1039-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:39:29 +0000
