## kosmindoormap 25.12.2

=== debian/changelog ===
kosmindoormap (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:14 +0000
