=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0~),
                flex,
                kirigami-addons-dev (>= 1.6.0~),
@@ -18,8 +18,8 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 25.12.1~),
-               libkpublictransport-dev (>= 25.12.1~),
+               libkopeninghours-dev (>= 25.12.2~),
+               libkpublictransport-dev (>= 25.12.2~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,
